#### D.3.1.25 rm_unitrow

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  rm_unitrow(A); A matrix (being col-reduced)

Return:
  matrix, obtained from A by deleting unit rows (having just one 1 and else 0 as entries) and associated columns

Example:

    LIB "matrix.lib";
    ring r=0,(A,B,C),dp;
    matrix m[8][6]=
    0,0,  0,   0, 2C, 0,
    0,0,  0,   0, -4C,A,
    A,-C2,0,   B, -A, 0,
    0,0,  1/2B,-A,B,  0,
    1,0,  0,   0, 0,  0,
    0,0,  0,   2A,B,  0,
    0,1,  0,   0, 0,  0,
    0,0,  1,   0, 0,  0;
    print(rm_unitrow(m));
    ==> 0, 2C, 0,
    ==> 0, -4C,A,
    ==> B, -A, 0,
    ==> -A,B,  0,
    ==> 2A,B,  0

User manual for Singular version 4.4.1, 2025, generated by texi2html.